<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".UploadActivity">
    <!--上传信息的布局(暂时)-->
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="bottom"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/stu_pic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/ic_menu_gallery"
                    android:foregroundGravity="center_horizontal"
                    tools:srcCompat="@tools:sample/avatars" />

                <Button
                    android:id="@+id/upload_pic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@android:dimen/app_icon_size"
                    android:text="上传图片" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <EditText
                    android:id="@+id/info_name"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:ems="10"
                    android:hint="姓名"
                    android:inputType="textPersonName" />

                <EditText
                    android:id="@+id/info_desc"
                    android:layout_width="fill_parent"
                    android:layout_height="125dp"
                    android:layout_marginTop="@dimen/activity_horizontal_margin"
                    android:background="@drawable/edit_background"
                    android:ems="10"
                    android:gravity="left"
                    android:hint="个人说明"
                    android:inputType="textMultiLine" />

                <TextView
                    android:id="@+id/textView2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@android:dimen/notification_large_icon_width"
                    android:text="提交材料"
                    android:textColor="@android:color/background_dark"
                    android:textSize="30sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal">

                <ImageButton
                    android:id="@+id/update_src1"
                    android:layout_width="90dp"
                    android:layout_height="90dp"
                    app:srcCompat="@drawable/ic_menu_gallery" />

                <ImageButton
                    android:id="@+id/upload_src2"
                    android:layout_width="90dp"
                    android:layout_height="90dp"
                    android:layout_marginLeft="@dimen/activity_horizontal_margin"
                    app:srcCompat="@drawable/ic_menu_gallery" />

                <ImageButton
                    android:id="@+id/upload_src3"
                    android:layout_width="90dp"
                    android:layout_height="90dp"
                    android:layout_marginLeft="@dimen/activity_horizontal_margin"
                    app:srcCompat="@drawable/ic_menu_gallery" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="97dp"
                android:gravity="center"
                android:orientation="vertical">

                <Button
                    android:id="@+id/commit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/activity_horizontal_margin"
                    android:gravity="center"
                    android:onClick="onUploadPic"
                    android:text="提交" />
            </LinearLayout>

        </LinearLayout>
    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>